Bug 900 - The symlink, link command always display the usage messages.
The symlink, link command always display the usage messages.
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: smbclient
3.0.1
All Linux
: P3 normal
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-18 01:15 UTC by TAKEDA yasuma
Modified: 2005-11-14 09:30 UTC (History)
1 user (show)

See Also:


Attachments
This pache replaces from next_token to next_token_nr for 3.0.1 (1.44 KB, patch)
2003-12-18 01:18 UTC, TAKEDA yasuma
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description TAKEDA yasuma 2003-12-18 01:15:44 UTC
The cmd_symlink, cmd_link, cmd_chown, cmd_chmod functions 
use next_token(). 
But it must use next_token_nr().

Since the first argument is NULL, next_token() always fails.
Comment 1 TAKEDA yasuma 2003-12-18 01:18:41 UTC
Created attachment 330 [details]
This pache replaces from next_token to next_token_nr for 3.0.1
Comment 2 Gerald (Jerry) Carter 2004-02-11 07:39:36 UTC
Patch applied.  Thanks.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:19:18 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 4 Gerald (Jerry) Carter 2005-11-14 09:30:25 UTC
database cleanup